# Tour

The Tour module provides guided tours of the site interface via tooltips.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/tour).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/tour).


## Table of contents (optional)

- Requirements
- Installation
- Configuration
- Maintainers


## Requirements (required)

This module requires no modules outside of Drupal core.


## Installation

Install as you would normally install a contributed Drupal module. For further 
information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules)


## Configuration

* Enabling the module
  - Enable the module at `Administration > Extend`.
  - Profit.
* Adding Tours
  - To add tours, add them in a custom module's `config/optional` folder.
  - Naming should be in the style `tour.tour.unique-id.yml`
  - You can also add tours in the Drupal admin UI using the Tour UI module.
    These tours are saved in the site config.
* Configuring Tours
  - You can add a tour to any route available in Drupal.
  - Some example are:
    - *All node add/edit forms (Recommended to do both)*
      `entity.node.add_form`
      `entity.node.edit_form`
    - *All front end nodes*
      `entity.node.canonical`
    - *Taxonomy vocabulary overview form*
      `entity.taxonomy_vocabulary.overview_form`
    - *Taxonomy term add/edit forms (Recommended to do both)*
      `entity.taxonomy_term.add_form`
      `entity.taxonomy_term.edit_form`
* Viewing Tours
  - If the user has the permission to view the Admin Toolbar, and the permission
    to view tours, a button will appear in the top right of the toolbar.
  - Tours can also be viewed to those with permissions to view tours by adding
    the `?tour` parameter to the url the tour should appear on based on the
    route.


## Maintainers (optional)

- Stephen Mustgrave - [smustgrave](https://www.drupal.org/u/smustgrave)
